# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

# =====================================================================
# [INFO] sudo, zip, unzip, xterm (needed by CodeTyphon)
# [INFO] make gcc build-essential binutils binutils-devel (needed by fpc)
# [INFO] gdb gdb-doc devscripts (needed by fpc and lazarus)
# [INFO] libgpmg1-dev (needed by fpc console IDE)
# [INFO] xterm, alien, libgtk2.0-dev (needed by Lazarus IDE)
# [INFO] libsdl-dev,libXxf86vm-dev, libgl1-mesa-dev, libglu1-mesa-dev(needed by pl_GLScene 3D Components Library)
# [INFO] libgtkglext1, libgtkglext1-dev (needed by Kambi Engine 3D Components Library)
# [INFO] gtkglext-devel gtkglext-doc (needed by LAVA 2D/3D Components Library)
# ===========================================================


# =======================Main================================
. $PWD/ln_All_Functions.sh
getdistribution

echo "***************************************************"    
echo " Found:  $OS_VerStr  (OS ID:$OS_VerNum)"
echo "***************************************************"

sleep 2
# ===========================================================

case $OS_VerNum in
1)
echo "Sorry, Unknow OS ???"
echo "Please, send this report to CodeTyphon Programmers..."
;;
100)
./systems/ln1_Install_SysLibraries_For_Ubuntu.sh
;;
200)
./systems/ln1_Install_SysLibraries_For_SuSE.sh
;;
300)
./systems/ln1_Install_SysLibraries_For_Debian.sh
;;
400)
./systems/ln1_Install_SysLibraries_For_CentOS.sh
;;
500)
./systems/ln1_Install_SysLibraries_For_Fedora.sh
;;
600)
./systems/ln1_Install_SysLibraries_For_RedHat.sh
;;
750)
./systems/ln1_Install_SysLibraries_For_ArchLinux.sh
;;
760)
./systems/ln1_Install_SysLibraries_For_ChakraLinux.sh
;;
770)
./systems/ln1_Install_SysLibraries_For_Mandriva.sh
;;
800)
./systems/ln1_Install_SysLibraries_For_Slackware.sh
;;
2000)
./systems/ln1_Install_SysLibraries_For_FreeBSD.sh
;;
3000)
./systems/ln1_Install_SysLibraries_For_OpenBSD.sh
;;
4000)
./systems/ln1_Install_SysLibraries_For_NetBSD.sh
;;
5000)
./systems/ln1_Install_SysLibraries_For_Solaris.sh
;;
esac

# =========================================================

