# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

dothejob() 
{

# =================== Build Lazarus64 ==================================

if [ ! -f $vlazlibdir/lazarus/bin$vbits/lazbuild ] ;
then  
 ./ln_Lazarus64_Build_Small.sh
fi


echo "=============================================================="
echo "         Build Lazarus64 BIG IDE for $vosrealname"  
echo "=============================================================="
echo " "

if [ ! -f $vlazlibdir/lazarus/bin$vbits/lazarus ] ;
then 
echo " "
echo "[ERROR] Sorry, Lazarus64 from Small-IDE NOT Build"     
echo "        please remove and build Lazarus again..."
echo " "
 sleep 3
exit
fi

if [ ! -f $vlazlibdir/lazarus/bin$vbits/lazbuild ] ;
then 
echo " "
echo "[ERROR] Sorry, lazbuild64 from Small-IDE NOT Build"      
echo "        please remove and build Lazarus again..."
echo " "
 sleep 3
exit
fi

# =================== Preparation =====================

if [ ! -f $vlazlibdir/lazarus/bin$vbits/slazarus ] ;
then  
 sudo rm -f $vlazlibdir/lazarus/bin$vbits/slazarus
fi

if [ -f $vlazlibdir/lazarus/bin$vbits/bigide.txt ] ;
then  
 sudo rm -f $vlazlibdir/lazarus/bin$vbits/bigide.txt
fi

sudo mv -f $vlazlibdir/lazarus/bin$vbits/lazarus $vlazlibdir/lazarus/bin$vbits/slazarus

# ===================================================== 

cd $vlazlibdir/lazarus/bin$vbits

$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/cgi/cgilaz.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/cgi/ide/cgilazide.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/customform/lazcustforms.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/daemon/lazdaemon.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/dbexport/lazdbexport.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/filebrowser/idefilebrowser.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/fpweb/weblaz.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/h2pas/h2paswizard.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/images/imagesforlazarus.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazreport/source/lazreport.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/lazthread/lazthread.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/opengl/lazopenglcontext.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/printers/printer4lazarus.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/printers/design/printers4lazide.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/rx/rx.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/sqldb/sqldblaz.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/synunihighlighter/synuni.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/codetools/ide/cody.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/leakview/leakview.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/IdeLazLogger/idelazlogger.lpk


$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ACS/pl_acs.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_AGGPas/pl_aggpas.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_AGGPasVS/pl_aggpasvs.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_APE/pl_apelib.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ASIOVST/pl_asiovst.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_AsphyreSphinx/pl_asphyresphinx.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_BGRAbitmap/pl_bgrabitmap.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_BGRAcontrols/pl_bgracontrols.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_BGRAueControls/pl_bgrauecontrols.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Box2D/pl_box2d.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Castle/pl_castle.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_CHelper/pl_chelper.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Cindy/pl_cindy.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_DCP/pl_dcpcomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExControls/pl_excontrols.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExDesign/pl_exdesign.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExSystem/pl_exsystem.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ExtentIDE/pl_extentideman.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_FortesReport/pl_fortesreport.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_FPSpreadsheet/pl_fpspreadsheet.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_FreeSpider/pl_freefpidercomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_GeoGIS/pl_geogiscomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_GlassDocking/pl_glassdocking.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_GLScene/pl_glscene.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Graphics32/pl_graphics32.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Graphics32EXT/pl_graphics32ext.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Graphics32VPR/pl_graphics32vpr.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Imaging/pl_vampyreimaging.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Indy/pl_indycomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_JujiboUtils/pl_jujiboutils.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_JVCL/pl_jvcl.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_KControls/pl_kcontrols.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LAVA/pl_lava.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LazBarcodes/pl_lazbarcodes.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_lclextensions/pl_lclextensions.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_LNet/pl_lnetcomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_nxPascal/pl_nxpascal.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_OpenGL/pl_opengl.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_OpenWire/pl_openwire.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Orpheus/pl_orpheus.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Pappe/pl_pappe.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PascalSCADA/pl_pascalscada.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PascalScript/pl_pascalscript.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PasDoc/pl_pasdocpkg.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_PowerPDF/pl_powerpdf.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_RichView/pl_richview.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_RX/pl_rx.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Shapes/pl_shapespak.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Synapse/pl_synapsepkg.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_SynapseVS/pl_synapsepkgvs.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_TitanScript/pl_titanscriptcomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_UIB/pl_uibcomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_VirtualTrees/pl_virtualtrees.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_VirtualTreesExtra/pl_virtualtreesextra.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_VisualPlanIt/pl_visualplanitcomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_DirectX/pl_win_directx.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_DirectXUT/pl_win_directxut.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_Win_MIDI/pl_win_midi.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_WST/pl_wst.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ZeosDBO/pl_zeosdbocomp.lpk
$vlazlibdir/lazarus/bin$vbits/lazbuild --create-makefile /usr/lib/codetyphon/lazarus/components/pl_ZMSQL/pl_zmsql.lpk

# =====================================================
sudo chmod -R 777 $vlazlibdir/lazarus

cd $vcodetyphon/lazarus

if [ $vosname = solaris ] ;
then
$vmake bigide OPT="-Xn" PP=$vfpcexedir/$vfpcexec INSTALL_PREFIX=/usr/lib/codetyphon/lazarus/
else

  if [ $vlclplatform = 1 ] ; 
   then
     $vlazlibdir/lazarus/bin$vbits/lazbuild -B --build-ide="-dLCLqt" --ws=qt
   else
     $vmake bigide PP=$vfpcexedir/$vfpcexec INSTALL_PREFIX=/usr/lib/codetyphon/lazarus/
   fi

fi

# sleep 120


# ================= Move Bin files ====================================

sudo mv -f lazarus $vlazlibdir/lazarus/bin$vbits/
sudo mv -f startlazarus $vlazlibdir/lazarus/bin$vbits/
sudo mv -f lazbuild $vlazlibdir/lazarus/bin$vbits/

# ---- Build BigIDE DON'T Build these tools --------
# sudo mv -f tools/lazres $vlazlibdir/lazarus/bin$vbits/
# sudo mv -f tools/lrstolfm $vlazlibdir/lazarus/bin$vbits/
# sudo mv -f tools/svn2revisioninc $vlazlibdir/lazarus/bin$vbits/
# sudo mv -f tools/updatepofiles $vlazlibdir/lazarus/bin$vbits/

# ================= Make Permitions ===================================

sudo chmod -R 777 $vlazlibdir/lazarus

# ================= Strip Bin files ===================================
cd $vcodetyphon/ScriptsLin
./ln_Lazarus_Strip.sh

cd $vcodetyphon/lazarus

# ============================ Check Building =============================
echo " "
echo " ------------------------------------------------------"
echo " "

if [ ! -f $vlazlibdir/lazarus/bin$vbits/lazarus ] ;
then    
 echo  "??????????????????????????????????????????????????????"
 echo  "[ERROR]: Sorry, Lazarus64 BIG IDE NOT Build"
 echo  "??????????????????????????????????????????????????????"

 sudo mv -f $vlazlibdir/lazarus/bin$vbits/slazarus $vlazlibdir/lazarus/bin$vbits/lazarus

 sleep 3
else 
 sudo rm -f $vlazlibdir/lazarus/bin$vbits/slazarus

 sudo cp -f $vlazlibdir/bin/settings/bigide.txt $vlazlibdir/lazarus/bin$vbits/

 echo "[FINAL INFO]: Lazarus64 BIG IDE Build OK!!! Have fun..." 
 echo " "

 sleep 3  
fi

}

# =================== MAIN ============================= 
. $PWD/ln_All_Functions.sh
getvalues

if [ $vlclplatform = 1 ] ;
then 
./ln_Lazarus1_Build_QT4pas.sh
fi

if [ $vbits = 64 ] ;
then 
 dothejob
fi






