# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

stripall32() 
{
echo "."

if [ -f $vlazlibdir/lazarus/bin32/lazarus ] ;
then   
  strip $vlazlibdir/lazarus/bin32/lazarus  
  echo "[INFO]: $vosname 32 lazarus executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/startlazarus ] ;
then   
  strip $vlazlibdir/lazarus/bin32/startlazarus  
  echo "[INFO]: $vosname 32 startlazarus executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/lazbuild ] ;
then   
  strip $vlazlibdir/lazarus/bin32/lazbuild  
  echo "[INFO]: $vosname 32 lazbuild executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/lazres ] ;
then   
  strip $vlazlibdir/lazarus/bin32/lazres  
  echo "[INFO]: $vosname 32 lazres executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/lrstolfm ] ;
then   
  strip $vlazlibdir/lazarus/bin32/lrstolfm  
  echo "[INFO]: $vosname 32 lrstolfm executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/svn2revisioninc ] ;
then   
  strip $vlazlibdir/lazarus/bin32/svn2revisioninc 
  echo "[INFO]: $vosname 32 svn2revisioninc executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/updatepofiles ] ;
then   
  strip $vlazlibdir/lazarus/bin32/updatepofiles 
  echo "[INFO]: $vosname 32 updatepofiles executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin32/apiwizz ] ;
then   
  strip $vlazlibdir/lazarus/bin32/apiwizz 
  echo "[INFO]: $vosname 32 apiwizz executable Striped OK"
fi

#------------------------------------------------

if [ -f $vlazlibdir/lazarus/bin32/lazarus.old ] ;
then   
  rm -f $vlazlibdir/lazarus/bin32/lazarus.old 
fi

if [ -f $vlazlibdir/lazarus/lazarus.old ] ;
then   
  rm -f $vlazlibdir/lazarus/lazarus.old 
fi

}

stripall64() 
{
echo "."

if [ -f $vlazlibdir/lazarus/bin64/lazarus ] ;
then   
  strip $vlazlibdir/lazarus/bin64/lazarus  
  echo "[INFO]: $vosname 64 lazarus executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/startlazarus ] ;
then   
  strip $vlazlibdir/lazarus/bin64/startlazarus  
  echo "[INFO]: $vosname 64 startlazarus executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/lazbuild ] ;
then   
  strip $vlazlibdir/lazarus/bin64/lazbuild  
  echo "[INFO]: $vosname 64 lazbuild executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/lazres ] ;
then   
  strip $vlazlibdir/lazarus/bin64/lazres  
  echo "[INFO]: $vosname 64 lazres executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/lrstolfm ] ;
then   
  strip $vlazlibdir/lazarus/bin64/lrstolfm  
  echo "[INFO]: $vosname 64 lrstolfm executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/svn2revisioninc ] ;
then   
  strip $vlazlibdir/lazarus/bin64/svn2revisioninc 
  echo "[INFO]: $vosname 64 svn2revisioninc executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/updatepofiles ] ;
then   
  strip $vlazlibdir/lazarus/bin64/updatepofiles 
  echo "[INFO]: $vosname 64 updatepofiles executable Striped OK"
fi

if [ -f $vlazlibdir/lazarus/bin64/apiwizz ] ;
then   
  strip $vlazlibdir/lazarus/bin64/apiwizz 
  echo "[INFO]: $vosname 64 apiwizz executable Striped OK"
fi

#------------------------------------------------

if [ -f $vlazlibdir/lazarus/bin64/lazarus.old ] ;
then   
  rm -f $vlazlibdir/lazarus/bin64/lazarus.old 
fi

if [ -f $vlazlibdir/lazarus/lazarus.old ] ;
then   
  rm -f $vlazlibdir/lazarus/lazarus.old 
fi

}

dothejob() 
{

if [ -d $vlazlibdir/lazarus/bin32 ] ;
then 
  stripall32
fi

if [ -d $vlazlibdir/lazarus/bin64 ] ;
then 
  stripall64
fi

}

# =================== MAIN ============================= 
. $PWD/ln_All_Functions.sh
getvalues

echo "---------------------------------------"
echo "       Strip Lazarus Executables"

dothejob

echo "."
echo "---------------------------------------"
echo "[INFO] Lazarus Strip finish"
echo "."


