# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

dothejob()
{

echo "."
echo "=============================================================="
echo "            Build FreePascal $vbits for $vosrealname"
echo "=============================================================="

if [ ! -f $vfpcsrcdir/Makefile.fpc ] ;
then    
    echo "[info]: FreePascal Sources NOT Exist, Extract..."
    ./ln_FPC0_Extract_Source_From_ZipFile.sh
fi

if [ ! -f $vfpcexedir/$vfpcexec ] ;
then      
    echo "[info]: FreePascal Compiler NOT Exists, Build..."
    ./ln_FPC0_Install_Bin_Files.sh
fi

cd $vfpcsrcdir

echo "------------------------------------------------"
echo "            Clean FreePascal $vbits" 
echo "------------------------------------------------"
sudo $vmake clean PP=$vfpcexedir/$vfpcexec
echo "------------------------------------------------"
echo "            Build FreePascal $vbits" 
echo "------------------------------------------------"

if [ $vosname = solaris ] ;
then  
  sudo $vmake all OPT="-Xn" PP=$vfpcexedir/$vfpcexec
else
  sudo $vmake all PP=$vfpcexedir/$vfpcexec
fi

echo "------------------------------------------------"
echo "            Install FreePascal $vbits" 
echo "------------------------------------------------"
sudo $vmake install PP=$vfpcexedir/$vfpcexec INSTALL_PREFIX=/usr/lib/codetyphon/fpc/newfpc/
echo "------------------------------------------------"
echo "            Clean FreePascal $vbits" 
echo "------------------------------------------------"
sudo $vmake clean PP=$vfpcexedir/$vfpcexec

# =========================================

sudo cp -f $vfpclibdir/newfpc/bin/* $vfpcexedir/
sudo cp -fr $vfpclibdir/newfpc/share/* $vfpclibdir/

sudo cp -fr $vfpclibdir/newfpc/lib/fpc/$vfpcver/* $vfpclibdir/
sudo rm -fr $vfpclibdir/newfpc/lib/fpc/$vfpcver

sudo cp -fr $vfpclibdir/newfpc/lib/fpc/* $vfpclibdir/

sudo rm -fr $vfpclibdir/newfpc

sudo mv -f $vfpclibdir/$vfpcexec $vfpcexedir/

#=========================================

sudo rm -f $vfpcrundir/$vfpcexec
sudo rm -f $vfpcrundir/fpc$vbits
sudo ln -f -s $vfpcexedir/$vfpcexec $vfpcrundir/$vfpcexec
sudo ln -f -s $vfpcexedir/$vfpcexec $vfpcrundir/fpc$vbits

#=========================================

echo "."
echo "[FINAL INFO]: FreePascal $vbits Building, finish..." 
echo "=====================================================================" 

}
# =================== MAIN =============================
. $PWD/ln_All_Functions.sh
getvalues

if [ $vbits = 64 ] ;
then 
 dothejob
fi

