# =============================================================
#                CodeTyphon Studio
#      Copyright (c) PilotLogic Software House.
#               All rights reserved.
# =============================================================

unzipqt4pas() 
{

if [ ! -d $vcodetyphon/qt4pas/ ] ;
then  

echo "---------------------------------------"
echo "[INFO] unzip qt4pas"
echo "."

sudo mkdir $vcodetyphon/qt4pas/
sudo unzip -o ../bin/src/qt4pas.zip -d $vcodetyphon/
sudo chmod -R 777 $vcodetyphon/qt4pas
fi

}


buildqt4pas() 
{

if [ ! -f $vcodetyphon/qt4pas/libQt4Pas.so ] ;
then  

echo "."
echo "---------------------------------------------------------"
echo "      Try to Build QT4pas Libraries"   
echo "---------------------------------------------------------"
echo "."
echo "------------- Qt Info -----------------------------------"
echo "."

cd $vcodetyphon/qt4pas

$vqmake -query

echo "."
echo "-------------- Build QT4pas ------------------------------"
echo "."
 
$vqmake
sudo $vmake install

if [ -f $vcodetyphon/qt4pas/libQt4Pas.so ] ;
then 
  echo "---------------------------------------"
  echo "[INFO] QT4pas Libraries finish Build OK"
  echo "."
else
  echo "---------------------------------------"
  echo "[ERROR] QT4pas Libraries Don't Build..."
  echo "."
fi

sleep 3

else
  echo "."
  echo "[INFO] QT4pas Libraries Exists..." 
  echo "." 
fi

}

#========================MAIN===========================
. $PWD/ln_All_Functions.sh
getvalues

if [ -f $vcodetyphon/bin/src/qt4pas.zip ] ;
then 
 unzipqt4pas
 buildqt4pas
fi


